#
# spec file for package ghc-StateVar
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name StateVar
Name:           ghc-%{pkg_name}
Version:        1.1.0.4
Release:        lp150.1.8
Summary:        State variables
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-transformers-devel

%description
This package contains state variables, which are references in the IO monad,
like IORefs or parts of the OpenGL state.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.1.0.4 revision 0 with cabal2obs.
* Thu Apr 14 2016 mimi.vx@gmail.com
- update to 1.1.0.4
  * Corrected HasUpdate's superclass constraint.
* Mon Jan 18 2016 mimi.vx@gmail.com
- update to 1.1.0.3
  * Removed a couple of redundant typeclass constraints.
* Thu Dec 24 2015 mimi.vx@gmail.com
- update to 1.1.0.2
  * Relaxed upper version bound for transformers.
* Thu Aug  6 2015 mimi.vx@gmail.com
- update to 1.1.0.1
* Thu Apr 16 2015 mimi.vx@gmail.com
- initial commit of package
